Loading...
Searching...
No Matches
casacore::MSSpwGram_global_functions_MSSpwGramFunctions Struct Reference
ms package (libcasa_ms) » MSSel_module » MSSel_module_internal_classes

More...

`#include <MSSpwGram.h>`

## Public Member Functions

int | msSpwGramParseCommand (const MeasurementSet *ms, const String &command)
| Declare the bison parser (is implemented by bison command).
int | msSpwGramParseCommand (const MeasurementSet *ms, const String &command, Vector< Int > &selectedIDs, Matrix< Int > &selectedChanIDs)
int | msSpwGramParseCommand (const MSSpectralWindow &spwSubTable, const MSDataDescription &ddSubTable, const TableExprNode &colAsTEN, const String &command, Vector< Int > &selectedIDs, Matrix< Int > &selectedChans, Vector< Int > &selectedDDIDs)
void | MSSpwGramerror (const char *)
| The yyerror function for the parser.
const TableExprNode * | msSpwGramParseNode ()
| Give the table expression node.
void | msSpwGramParseDeleteNode ()
Int & | msSpwGramPosition ()
| Give the current position in the string.
int | msSpwGramInput (char *buf, int max_size)
| Declare the input routine for flex/bison.

## Detailed Description

Global functions for flex/bison scanner/parser for MSSpwGram

### Intended use:

Internal

### Prerequisite

- MSSpwGram.l and.y (flex and bison grammar)

### Synopsis

Global functions are needed to define the input of the flex scanner and to start the bison parser. The input is taken from a string.

### Motivation

It is necessary to be able to give an image expression in ASCII. This can be used in glish.

Definition at line 70 of file MSSpwGram.h.

## Member Function Documentation

## MSSpwGramerror()

void casacore::MSSpwGram_global_functions_MSSpwGramFunctions::MSSpwGramerror | ( | const char * |  | ) |

The yyerror function for the parser.

It throws an exception with the current token.

## msSpwGramInput()

int casacore::MSSpwGram_global_functions_MSSpwGramFunctions::msSpwGramInput | ( | char * | buf,
|  | int | max_size )

Declare the input routine for flex/bison.

## msSpwGramParseCommand() [1/3]

int casacore::MSSpwGram_global_functions_MSSpwGramFunctions::msSpwGramParseCommand | ( | const MeasurementSet * | ms,
|  | const String & | command )

Declare the bison parser (is implemented by bison command).

## msSpwGramParseCommand() [2/3]

int casacore::MSSpwGram_global_functions_MSSpwGramFunctions::msSpwGramParseCommand | ( | const MeasurementSet * | ms,
|  | const String & | command,
|  | Vector< Int > & | selectedIDs,
|  | Matrix< Int > & | selectedChanIDs )

## msSpwGramParseCommand() [3/3]

int casacore::MSSpwGram_global_functions_MSSpwGramFunctions::msSpwGramParseCommand | ( | const MSSpectralWindow & | spwSubTable,
|  | const MSDataDescription & | ddSubTable,
|  | const TableExprNode & | colAsTEN,
|  | const String & | command,
|  | Vector< Int > & | selectedIDs,
|  | Matrix< Int > & | selectedChans,
|  | Vector< Int > & | selectedDDIDs )

## msSpwGramParseDeleteNode()

void casacore::MSSpwGram_global_functions_MSSpwGramFunctions::msSpwGramParseDeleteNode | ( |  | ) |

## msSpwGramParseNode()

const TableExprNode * casacore::MSSpwGram_global_functions_MSSpwGramFunctions::msSpwGramParseNode | ( |  | ) |

Give the table expression node.

## msSpwGramPosition()

Int & casacore::MSSpwGram_global_functions_MSSpwGramFunctions::msSpwGramPosition | ( |  | ) |

Give the current position in the string.

This can be used when parse errors occur.

The documentation for this struct was generated from the following file:

- ms/MSSel/MSSpwGram.h